﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _369619_GridRemoveSelectedRows
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("IsActive", typeof(bool));
            for (int i = 0; i < 10; i++)
            {
                dt.Rows.Add(i, "Item" + i, i % 2 == 0);
            }
            this.radGridView1.DataSource = dt;
            this.radGridView1.AutoSizeColumnsMode = Telerik.WinControls.UI.GridViewAutoSizeColumnsMode.Fill;
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radGridView1.BeginUpdate();

            BindingList<GridViewDataRowInfo> rowsToDelete = new BindingList<GridViewDataRowInfo>();
            foreach (GridViewDataRowInfo row in this.radGridView1.Rows)
            {
                if (row.Cells[2].Value.ToString() == "False")
                {
                    rowsToDelete.Add(row);
                }
            }

            while (rowsToDelete.Count > 0)
            {
                this.radGridView1.Rows.Remove(rowsToDelete.First());
                rowsToDelete.RemoveAt(0);
            }

            this.radGridView1.EndUpdate();
        }
    }
}